# -*- coding: cp1250 -*-
# Raster to Numpy.Array
# Created by Bc. Petr Novk, 2015/04
# Faculty of Environmental Sciences
# Czech University of Life Sciences Prague 

import os, arcpy
import numpy as np

# Funkce pro pevod rastru do numpy.array
def rta (rast):
    # Nate rastr
    inRas = arcpy.Raster(rast)                                    
    # Zjist jeho souadnice
    lowerLeftX = inRas.extent.XMin
    lowerLeftY = inRas.extent.YMin  
    # Zjist velikost pixelu
    sCell = inRas.meanCellWidth
    vCell = inRas.meanCellHeight
    # Pevede rastr na numpy.array
    new_ar=arcpy.RasterToNumPyArray(rast,nodata_to_value=-9999)       
    # Poet hodnout v dku
    XMax= new_ar.shape[0]   
    # Poet dku
    YMax= new_ar.shape[1]   
    return new_ar, XMax, YMax, vCell, lowerLeftX, lowerLeftY






